%define name mikmod
%define fversion 3.1.6-a
%define version	3.1.6a
%define release 5mdk

Name: %{name}
Summary: A MOD music file player.
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: Sound 
Source0: %{name}-%{fversion}.tar.bz2
URL: http://www.multimania.com/miodrag/mikmod/index.html
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: libmikmod-devel, ncurses-devel
BuildRequires: gpm-devel libmikmod-devel ncurses-devel
Requires: ncurses libmikmod >= 3.1.6
Obsoletes: tracker

%description
MikMod is one of the best and most well known MOD music file players for 
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup -q -n %{name}-%{fversion}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} 
make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} mandir=$RPM_BUILD_ROOT/%{_mandir} install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%{prefix}/bin/*
%{_mandir}/man1/*

%changelog
* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.6a-5mdk
- fix the build, better fix of mandir (dynamic)

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 3.1.6a-4mdk
- rebuilt with _mandir macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1.6a-3mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.6a-2mdk
- fix group + cleanup spec file.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 3.1.6.

* Sat Jul 17 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed to work with shared libmikmod 3.1.6.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.
